Copy for LLM[View as Markdown](https://docs.planet.com/develop/apis/reports/reference/) # Reports API Reference * Download Reports * getList Download Reports * getGet a Download Report * getGet a Download Report's content * PV Reports * getList PV Reports * getGet a PV Report * Downloads Reports (Sub Orgs) * postCreate a SubOrg Download Report * getSubOrg Download Report * getSubOrg Download Report's Content * Tiles Streaming Reports * getGet Tiles Usage Report * Tasking Reports * getGet Tasking Usage Report * Footprints Reports * getGet Footprints Usage Reports * getGet a single Footprints Usage Report [API docs by Redocly](https://redocly.com/redoc/) # Reports API (1.0.0) Download OpenAPI specification:[Download](https://docs.planet.com/redocusaurus/reports-api-spec.yaml) Access & Create Usage Reports ## [](#tag/Download-Reports)Download Reports ## [](#tag/Download-Reports/operation/listReports)List Download Reports List reports, using and filtering logic based on parameters ##### query Parameters | | | | ------------ | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | | org\_id | integerID of org to query, defaults to token claims | | plan\_id | integerInclude reports generated for the given Plan ID | | quota\_style | string (QuotaStyle)Enum: "asset\_area\_under\_management\_sqkm\_v1\_0" "asset\_area\_under\_management\_sqkm\_v2\_0" "asset\_preferred\_sqkm\_v1\_0" "asset\_premium\_sqkm\_v1\_0" "asset\_starter\_sqkm\_v1\_0" "on\_demand\_large\_areas\_v1" "tasking\_credits\_v1\_0"Filter reports by plan definition ID (quota style) | | bucket\_prn | stringExample: bucket\_prn=prn:usage-api:bucket:7a02db3e-1d68-47bf-8219-97cfb6e0b3c8Filter reports by usage bucket PRN | | report\_type | string (ReportType)Enum: "detailed" "summary"Report type | | cadence | stringEnum: "daily" "monthly"Report cadence | | start | string \Include reports on or after this date | | end | string \Include reports on or before this date | | page\_size | integerNumber of records to return per page, defaults to 50. | | after | stringPaging navigation - specifies ID of report to start listing from. | | offset | integer (Offset) >= 0Number of results to skip in a query | ### Responses **200** List of Reports matching filter criteria get/ API Server https\://api.planet.com/reports/v1/ ### Response samples * 200 Content type application/json Copy Expand all Collapse all `{ "reports": [ { "report_id": "string", "contents": [ "string" ], "org_id": 0, "plan_id": 0, "data_date_start": "2019-08-24", "data_date_end": "2019-08-24", "report_type": "detailed", "num_rows": 0, "cadence": "daily", "has_footprint": true, "_links": { "self": "string" } } ], "_links": { "next": "string" } }` ## [](#tag/Download-Reports/operation/getReport)Get a Download Report Get a report by ID ##### path Parameters | | | | ---------- | ------------------------- | | idrequired | stringID of report to get | ### Responses **200** get/{id} API Server https\://api.planet.com/reports/v1/{id} ## [](#tag/Download-Reports/operation/getReportContent)Get a Download Report's content Download a report ##### path Parameters | | | | ------------ | ---------------------------- | | idrequired | stringID of report to get | | partrequired | integerPart of report to get | ### Responses **200** Report contents get/{id}/content/{part} API Server https\://api.planet.com/reports/v1/{id}/content/{part} ## [](#tag/PV-Reports)PV Reports ## [](#tag/PV-Reports/operation/listPVReports)List PV Reports List PV reports, using filtering logic based on parameters ##### query Parameters | | | | -------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | | org\_id | integerID of org to query, defaults to token claims | | plan\_id | integerInclude PV reports generated for the given Contract ID | | line\_item\_id | integerInclude PV reports generated for the given Line Item ID | | report\_type | string (PvReportType)Enum: "pv\_detailed" "billableaoi\_detailed"PV report type | | cadence | string (Cadence)Enum: "daily" "monthly"PV report cadence *Please note that no monthly reports are created for the pv\_detailed report\_type. A list of monthly pv\_detailed reports will always be empty* | | start | string \Include PV reports on or after this date | | end | string \Include PV reports on or before this date | | page\_size | integerNumber of records to return per page, defaults to 50 for PV reports. | | after | stringPaging navigation - specifies ID of PV report to start listing from. | | offset | integer (Offset) >= 0Number of results to skip in a query | ### Responses **200** List of PV Reports matching filter criteria get/pv/ API Server https\://api.planet.com/reports/v1/pv/ ### Response samples * 200 Content type application/json Copy Expand all Collapse all `{ "reports": [ { "report_id": "string", "contents": [ "string" ], "org_id": 0, "plan_id": 0, "data_date_start": "2019-08-24", "data_date_end": "2019-08-24", "report_type": "detailed", "num_rows": 0, "cadence": "daily", "has_footprint": true, "_links": { "self": "string" } } ], "_links": { "next": "string" } }` ## [](#tag/PV-Reports/operation/getPVReport)Get a PV Report Get a PV report by ID ##### path Parameters | | | | ---------------- | -------------------------------- | | reportIdrequired | stringID of the PV report to get | ### Responses **200** get/pv/{reportId} API Server https\://api.planet.com/reports/v1/pv/{reportId} ## [](#tag/Downloads-Reports-\(Sub-Orgs\))Downloads Reports (Sub Orgs) ## [](#tag/Downloads-Reports-\(Sub-Orgs\)/operation/createSuborgReport)Create a SubOrg Download Report Request to generate a download usage report of "all" or "selected" Suborganizations of the Organization the requesting user belongs to. ##### Request Body schema: application/jsonrequired | | | | ------------ | -------------------------------------------------------------------------------------------------------------- | | report\_type | string (ReportType)Enum: "detailed" "summary" | | cadence | string (Cadence)Enum: "daily" "monthly" | | toi | object (TOI)Time of interest, the time window cannot be greater than 90 days, start date and end date included | | suborgs | object | ### Responses **201** post/downloads/suborgs API Server https\://api.planet.com/reports/v1/downloads/suborgs ### Request samples * Payload Content type application/json Copy Expand all Collapse all `{ "report_type": "detailed", "cadence": "daily", "toi": { "start_date": "2019-08-24", "end_date": "2019-08-24" }, "suborgs": { "include": "all", "ids": [ 0 ] } }` ## [](#tag/Downloads-Reports-\(Sub-Orgs\)/operation/getSubOrgReport)SubOrg Download Report Get a sub org report by ID ##### path Parameters | | | | ---------- | ---------------------------------- | | idrequired | string \ID of sub org report | ### Responses **200** get/downloads/suborgs/{id} API Server https\://api.planet.com/reports/v1/downloads/suborgs/{id} ## [](#tag/Downloads-Reports-\(Sub-Orgs\)/operation/getSubOrgDownloadReportContent)SubOrg Download Report's Content Download a report ##### path Parameters | | | | ------------ | ---------------------------------------- | | idrequired | string \ID of suborg report to get | | partrequired | integerPart of report to get | ### Responses **200** SubOrg Report contents as csv get/downloads/suborgs/{id}/content/{part} API Server https\://api.planet.com/reports/v1/downloads/suborgs/{id}/content/{part} ## [](#tag/Tiles-Streaming-Reports)Tiles Streaming Reports ## [](#tag/Tiles-Streaming-Reports/operation/getTilesUsageReport)Get Tiles Usage Report Download tiles usage report ##### path Parameters | | | | -------------- | ----------------------------------------------------------------------------------- | | planIDrequired | integerID of plan to request the report (you can find this ID in the Accounts Page) | ##### query Parameters | | | | --------------------- | --------------------------------------------------------------------------------------------- | | startrequired | string \The report will include results after this date (YYYY-MM-DD) | | endrequired | string \The report will include results before this date (YYYY-MM-DD) | | include\_userrequired | booleanIf true, the report will contains the user | | intervalrequired | string (Cadence)Enum: "daily" "monthly"Report cadence, can be daily or monthly | | type | string (Type)Enum: "scenes" "basemaps"Optional filter by tile type, can be scenes or basemaps | | include\_subject | booleanIf true, the report will include the subject for every streaming event | ### Responses **200** Subscriptions report **400** Invalid request **401** Unauthorized get/plans/{planID}/tiles/usage API Server https\://api.planet.com/reports/v1/plans/{planID}/tiles/usage ### Response samples * 400 * 401 Content type application/json Copy Expand all Collapse all `{ "field": { "property1": [ { "message": "string" } ], "property2": [ { "message": "string" } ] }, "general": [ { "message": "string" } ] }` ## [](#tag/Tasking-Reports)Tasking Reports ## [](#tag/Tasking-Reports/operation/getTaskingUsageReport)Get Tasking Usage Report Download a usage report for a tasking contract ##### path Parameters | | | | ------------------ | ------------------------------------- | | contractIdrequired | stringtasking contract ID (pl-number) | ##### query Parameters | | | | ------- | ------------------------------------------------------------------------------------------------ | | limit | integerMax. number of rows to return | | exclude | stringColumn headers to be excluded from the CSV report. Include the query param for each column | ### Responses **200** Tasking contract usage report contents as csv get/tasking/{contractId}/usage API Server https\://api.planet.com/reports/v1/tasking/{contractId}/usage ## [](#tag/Footprints-Reports)Footprints Reports ## [](#tag/Footprints-Reports/operation/getFootprintsReports)Get Footprints Usage Reports Returns the download footprints geometry reports generated for the given Plan ID ##### path Parameters | | | | -------------- | --------------------- | | planIdrequired | integerID of the plan | ### Responses **200** List of footprints reports get/footprints/{planId} API Server https\://api.planet.com/reports/v1/footprints/{planId} ### Response samples * 200 Content type application/json Copy Expand all Collapse all `{ "reports": [ { "id": "string", "report_date": "2019-08-24", "report_type": "detailed", "usage_bucket": "string", "org": 0, "package": 0, "plan": 0, "content_link": "string" } ] }` ## [](#tag/Footprints-Reports/operation/getFootprintsReport)Get a single Footprints Usage Report Returns the download footprints report generated for the given Plan ID and Report Id ##### path Parameters | | | | ---------------- | ---------------------------------------- | | planIdrequired | integerID of the plan | | reportIdrequired | string \ID of the requested report | ### Responses **200** Footprint geometry generated get/footprints/{planId}/{reportId} API Server https\://api.planet.com/reports/v1/footprints/{planId}/{reportId} ### Response samples * 200 Content type application/json Example PolygonPolygon Copy Expand all Collapse all `{ "type": "Polygon", "coordinates": [ [ [ 0, 0 ] ] ] }`